﻿declare @maxConnections int
select @maxConnections = max(VSphereConnectionId) from dbo.VSphereConnections
IF @maxConnections IS NULL 
	set @maxConnections = 1
ELSE
	set @maxConnections = @maxConnections + 1
DBCC CHECKIDENT ('dbo.PlatformConnections', RESEED, @maxConnections)
set IDENTITY_INSERT dbo.PlatformConnections ON;
insert into dbo.PlatformConnections
			(			
			[ConnectionId]
			,[ConnectionName]
			,[ConnectionType]
			,[IsAllowManagement]
			,[IsEnabledForProvisioning]
			,[CreatedByUser]
			,[CreatedTime]
			,[LastUpdatedTime]
			,[CustomPropertiesString]
			,[ConnectionTypeString]
			)
SELECT 
			VSphereConnectionId as [ConnectionId]
			,[ConnectionName]
			,100 as [ConnectionType]
			,[IsAllowManagement]
			,[IsEnabledForProvisioning]
			,[CreatedByUser]
			,[CreatedTime]
			,[LastUpdatedTime]
			,'{"HostServerUrl":"' + [HostServerUrl] + '",'
			+'"UserName":"' + replace([UserName],'\','\\')  + '",'
			+'"Password":"' + replace([Password],'\','\\') + '",'
			+'"IsNotDisableSSO":"' + 
				CASE IsNotDisableSSO
					WHEN 0 THEN '0'
					WHEN 1 THEN '1'
				END  + '",'
			+'"IsNotIgnoreCert":"' + '0' + '",'
			+'"Datacenter":"' + Datacenter + '",'
			+'"Cluster":"' + Cluster + '"}'
			as [CustomPropertiesString]
			,'VCenter' as [ConnectionTypeString]
from dbo.VSphereConnections

INSERT INTO dbo.SubscriptionConnections
	SELECT VSphereConnectionIdQuota as [ConnectionId],100 as [ConnectionType],'VCenter' as [ConnectionTypeString],
	SubscriptionId as [SubscriptionId],
	getdate() as [CreatedTime], getdate() as [UpdatedTime], NULL as [CustomPropertiesString]
from dbo.Subscriptions s
inner join dbo.VSphereConnections vc on s.VSphereConnectionIdQuota = vc.VSphereConnectionId
WHERE s.VSphereConnectionIdQuota > 0 and s.IsDeleted <> 1;

UPDATE [dbo].[VMConfigs] SET [ConnectionType] = 200 WHERE ConnectionType = 3
UPDATE [dbo].[VMConfigs] SET [ConnectionType] = 100 WHERE ConnectionType = 1

set IDENTITY_INSERT dbo.PlatformConnections OFF;