﻿# *************************************************************************************** #
# Get SPF VmHost Details Command 
# *************************************************************************************** #

# *************************************************************************************** #
# Params in @(paramName) will be replaced by vConnect. These are standard, DO NOT CHANGE
# *************************************************************************************** #

# Common Functions - Do not Remove this
. .\SpfExtensionsCommon.ps1

try 
{ 
    Import-Module VirtualMachineManager
    $vmmServer = VConnect-Connect-VMMServer

    $cloud = Get-SCCloud -Id $VmmCloudId -VMMServer $vmmServer
    $allVmHosts = Get-SCVMHost -VMMServer $vmmServer
    $cloudVMHosts = @()
    foreach($hostGroup in $cloud.HostGroup) 
    {
        $cloudVMHosts += $allVmHosts | ? {$_.VMHostGroup -eq $hostGroup}
    }
    $vmhostcount = $cloudVMHosts.Count
    $hostDetails = @()
    foreach ($vmHost in $cloudVMHosts)
    {
        $hostDetailProps = @{
            Name = $vmHost.Name
            CpuCount = $vmHost.PhysicalCpuCount
        }
        $hostDetails += New-Object PSObject -Property $hostDetailProps
    }
    return Get-ScriptResult $true 0 "Getting Host details succeeded" $hostDetails
}
catch 
{
    $errorMessage = $_.Exception.Message
    $exception = Get-FullLastError
    return Get-ScriptErrorResult $errorMessage $exception
}